Mod «Millennium Dawn Classic» for Hearts of Iron 4 (v1.10.1)

Date
03.11.20
Views
13372
Version
28.10.20

Hello and welcome, this is Millennium Dawn Classic - it is reupload of the original MD. Nothing is changed, it is just updated to latest version of HOI4.

Mod checked on game version: 1.10.1

  • Updated for version 1.10
  • Fixed few errors
  • Fixed missing GFX_conctruction_line_glow

Version 01.07.20 for Hearts of Iron 4 (v1.9.1 - 1.9.3)

  • fixed fuel consumption for tanks/mechanized
  • fixed fuel consumption for aircrafts
  • fixed fuel production and fuel gain upgrades (in industry research)
  • fixed ship modifiers for different naval terrains
  • fixed units ai_priority
  • fixed icon for fuel silo
  • fixed synthetic rafinery
  • adjusted guided missiles range
  • adjusted guided missiles damage
  • adjusted tank prices to make every newer generation more expensive (makes sense)
  • cleared up units and equipment folders

DOWNLOAD


Version 04.06.20 for Hearts of Iron 4 (v1.9.1 - 1.9.3)

  • Mod update for game version 1.9.3.

DOWNLOAD


Version 12.05.20 for Hearts of Iron 4 (v1.9.1 - 1.9.2)

  • Mod update for game version 1.9.2.

DOWNLOAD


Version 18.04.20 for Hearts of Iron 4 (v1.9.1)

  • Mod update for game version 1.9.1.

DOWNLOAD


Version 28.06.19 for Hearts of Iron 4 (v1.7.x)

DOWNLOAD

How to install mod?

To install the mod for the game Hearts of Iron 4, unpack the contents of the archive to the folder Documents\Paradox Interactive\Hearts of Iron IV\mod and enable the modification in the launcher.

File info

Download links will be available in sec.

You can log in to your account or register on the site to download mods without waiting.

+13
08:19
13372
RSS
Hodul
13:58

Thanks you very much

Srbian
11:55

not working

TA
22:23

how to activate it im new in the pc staff 

yağız
10:47

indirdiğin rar dosyasının içindeki dosyaları 

mod dosyasına atman gerek

mod konumu ise (belgeler- paradox interative — hearts of iron 4 — mod )

dddd
17:43

does this work with V.1.5.0 ? 

Trigger
08:06

Game version 1.10.1  work.

1.5.0 not working dude.

Ahmet utku
08:53

Bu site benim en güvendiğim ve bütün modları mı indirdiğim site. {güvenilir site)

Aleksei
14:46

not work :(, the descriptor is not valid please fix it,  i have been waiting for 2 years for MDE :(

Francisco Franco
17:45

Bruh this is so laggy, when i put a trait it crashes

mali
10:13

nasıl indiriyoz

Milk
00:57

The directory doesn't work :[

Loading...